#include "settings.inc"

#include "hero.inc"

// from math.inc
#declare adj_range2
  = function (V, Mn, Mx, OMn, OMx) {((V - Mn)/(Mx - Mn))*(OMx - OMn) + OMn}

#declare cloc=0.6;
      
#if (clock < 0.2)
#declare emis = adj_range2(clock, 0, 0.2, 0, 1);
#else #if (clock < 0.6)
#declare emis = adj_range2(clock, 0.2, 0.6, 1, 0.8);
#else
#declare emis = adj_range2(clock, 0.6, 1, 0.8, 0);
#end
#end

union {
   object {
      hero
      
      texture {
	 normal { bumps 1.5 }
	 pigment { color rgb <0.6, 0.2, 0.6> * 1.2 }
	 scale 1.5
      }
   }

   #declare magic =
   sphere {
      0  1
      hollow

      pigment { color rgbt 1 }
      interior {
	 media {
            emission color rgb <1, 0.5, 0.5> * 0.05 * emis
	    density {
	       spherical
	       turbulence 0.4
	    }
	 }
      }
      
      scale <34, 80, 40>
      translate <45, 0, 30>
      // translate <45, 0, 20>
   }

   object { magic }

   rotate <0, 0, -hero_angle>
   scale 0.9
   //rotate <90, 90, 0>
}
